# H460_FeatureStd Class Reference

`#include <h4601.h>`

Inheritance diagram for H460_FeatureStd:

[legend]
Collaboration diagram for H460_FeatureStd:
[legend]

## Public Member Functions

H460_FeatureParameter & | operator[] (unsigned id)
Construction
| H460_FeatureStd ()
| H460_FeatureStd (unsigned Identifier)
Parameter Control
H460_FeatureParameter & | Add (unsigned id, const H460_FeatureContent &con)
void | Remove (unsigned id)
void | Replace (unsigned id, const H460_FeatureContent &con)
PBoolean | HasParameter (unsigned id)
H460_FeatureParameter & | GetParameter (unsigned id)

## Constructor & Destructor Documentation

H460_FeatureStd::H460_FeatureStd | ( |  | ) | `[inline]`

H460_FeatureStd::H460_FeatureStd | ( | unsigned | Identifier | ) |

Create a new handler for a Standard H460 Feature.

## Member Function Documentation

H460_FeatureParameter& H460_FeatureStd::Add | ( | unsigned | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

Add item

H460_FeatureParameter& H460_FeatureStd::GetParameter | ( | unsigned | id | ) |

Get Parameter

PBoolean H460_FeatureStd::HasParameter | ( | unsigned | id | ) |

Has Parameter

H460_FeatureParameter& H460_FeatureStd::operator[] | ( | unsigned | id | ) | `[inline]`

Operator

Parameters:

  id | * Index value of the object.

void H460_FeatureStd::Remove | ( | unsigned | id | ) |

Delete item

void H460_FeatureStd::Replace | ( | unsigned | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

Replace item

The documentation for this class was generated from the following file:

- h4601.h